#include <iostream>
using namespace std;
int main()
{
    int n,l,x=-1,i=0;cin>>n>>l;
    
    int h[n];
    
    for(i;i<n;i++){
        cin>>h[i];
        if(h[i]<=l && x==-1){
          x=i+1;
          break;
        }
    }
    
    for(i=i+1;i<n;i++)
        cin>>h[i];
        
    cout<<x;
    
    return 0;
}